Bug 189128 - [MAINTAINER] mail/mew: update to 6.6
Summary: [MAINTAINER] mail/mew: update to 6.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-30 08:30 UTC by hiroto.kagotani
Modified: 2014-05-21 09:10 UTC (History)
0 users

See Also:


Attachments
mew-emacs24-6.6.patch (4.34 KB, patch)
2014-04-30 08:30 UTC, hiroto.kagotani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hiroto.kagotani 2014-04-30 08:30:00 UTC
- Update to 6.6.
- Add option for stunnel dependency (default).
- Support staging.

Note: this PR supersedes ports/188604.

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: suffix)
Comment 1 Martin Wilke freebsd_committer 2014-05-21 09:01:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-05-21 09:01:03 UTC
Author: miwi
Date: Wed May 21 08:00:58 2014
New Revision: 354726
URL: http://svnweb.freebsd.org/changeset/ports/354726
QAT: https://qat.redports.org/buildarchive/r354726/

Log:
  - Update to 6.6.
  - Add option for stunnel dependency (default).
  - Support staging
  
  PR:		189128
  Submitted by:	maintainer

Modified:
  head/mail/mew/Makefile
  head/mail/mew/distinfo
  head/mail/mew/files/patch-Makefile.in
  head/mail/mew/pkg-plist

Modified: head/mail/mew/Makefile
==============================================================================
--- head/mail/mew/Makefile	Wed May 21 07:59:19 2014	(r354725)
+++ head/mail/mew/Makefile	Wed May 21 08:00:58 2014	(r354726)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mew
-PORTVERSION=	6.5
-PORTREVISION=	4
+PORTVERSION=	6.6
 CATEGORIES=	mail elisp
 MASTER_SITES=	http://www.mew.org/Release/
 PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
@@ -11,26 +10,23 @@ PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
 MAINTAINER=	hiroto.kagotani@gmail.com
 COMMENT=	Messaging in the Emacs World for emacs
 
-OPTIONS_DEFINE=	DATABASE DOCS
-DATABASE_DESC=	Database feature support (with Ruby & Sqlite3)
+OPTIONS_DEFINE=	DATABASE DOCS STUNNEL
+OPTIONS_DEFAULT=STUNNEL
+DATABASE_DESC=	Support database feature (with Ruby & Sqlite3)
+STUNNEL_DESC=	Support SSL feature using stunnel
+
+DATABASE_RUN_DEPENDS=	rubygem-sqlite3>=0:${PORTSDIR}/databases/rubygem-sqlite3
+STUNNEL_RUN_DEPENDS=	stunnel>=0:${PORTSDIR}/security/stunnel
 
 # emacs port setup
 USE_EMACS=	yes
-
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MDATABASE}
-RUN_DEPENDS=	rubygem-sqlite3>=0:${PORTSDIR}/databases/rubygem-sqlite3
-.endif
-
-
 SUB_FILES=	pkg-message
-
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-elispdir=${LOCALBASE}/${EMACS_SITE_LISPDIR}/mew \
 		--with-etcdir=${LOCALBASE}/${EMACS_SITE_LISPDIR}/mew/etc
 
+.include <bsd.port.options.mk>
+
 # target name for make build and install
 ALL_TARGET=	all info
 INSTALL_TARGET=	install
@@ -39,20 +35,19 @@ ALL_TARGET+=	jinfo
 INSTALL_TARGET+=install-jinfo
 .endif
 
-# manuals
-MAN1=		cmew.1 mew-pinentry.1 mewcat.1 mewdecode.1 mewencode.1 mewest.1 mewl.1 smew.1 incm.1
 INFO=		mew
 .if ${PORT_OPTIONS:MDOCS}
 INFO+=		mew.ja
 .endif
 
 post-install:
+	@${RM} -f ${STAGEDIR}${PREFIX}/${INFO_PATH}/*.info.~1~
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	(cd ${WRKSRC} ; \
-		${INSTALL_DATA} 00* dot.* ${DOCSDIR}/ ; \
+		${INSTALL_DATA} 00* dot.* ${STAGEDIR}${DOCSDIR}/ ; \
 		)
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR}
+	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${STAGEDIR}${DOCSDIR}
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/mail/mew/distinfo
==============================================================================
--- head/mail/mew/distinfo	Wed May 21 07:59:19 2014	(r354725)
+++ head/mail/mew/distinfo	Wed May 21 08:00:58 2014	(r354726)
@@ -1,2 +1,2 @@
-SHA256 (mew-6.5.tar.gz) = f198b35c2a4cc1c082aaad8f6ccede80ed93d559aed0f66ee2c00c05f8394128
-SIZE (mew-6.5.tar.gz) = 1026322
+SHA256 (mew-6.6.tar.gz) = 20c879d8488620ac77144c3259fd19cebae0b63404856e426a7e8895d2f9c1e4
+SIZE (mew-6.6.tar.gz) = 989941

Modified: head/mail/mew/files/patch-Makefile.in
==============================================================================
--- head/mail/mew/files/patch-Makefile.in	Wed May 21 07:59:19 2014	(r354725)
+++ head/mail/mew/files/patch-Makefile.in	Wed May 21 08:00:58 2014	(r354726)
@@ -1,6 +1,6 @@
---- ./Makefile.in.orig	2009-02-02 15:39:04.000000000 +0900
-+++ ./Makefile.in	2010-01-04 12:06:16.000000000 +0900
-@@ -40,8 +40,8 @@
+--- ./Makefile.in.orig	2012-04-16 12:18:13.000000000 +0900
++++ ./Makefile.in	2014-04-14 20:03:59.000000000 +0900
+@@ -35,8 +35,8 @@
  ## A directory where mew*.el[c] will be installed.
  ##
  
@@ -11,7 +11,7 @@
  #elispdir  = $(prefix)/lib/xemacs/site-lisp
  #elispdir = $(prefix)/lib/emacs
  
-@@ -49,8 +49,8 @@
+@@ -44,8 +44,8 @@
  ## A directory where etc file will be installed.
  ##
  

Modified: head/mail/mew/pkg-plist
==============================================================================
--- head/mail/mew/pkg-plist	Wed May 21 07:59:19 2014	(r354725)
+++ head/mail/mew/pkg-plist	Wed May 21 08:00:58 2014	(r354726)
@@ -7,8 +7,18 @@ bin/mewencode
 bin/mewest
 bin/mewl
 bin/smew
+@comment info/mew.info
+@comment %%PORTDOCS%%info/mew.ja.info
+man/man1/cmew.1.gz
+man/man1/incm.1.gz
+man/man1/mew-pinentry.1.gz
+man/man1/mewcat.1.gz
+man/man1/mewdecode.1.gz
+man/man1/mewencode.1.gz
+man/man1/mewest.1.gz
+man/man1/mewl.1.gz
+man/man1/smew.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/00api
-%%PORTDOCS%%%%DOCSDIR%%/00changes
 %%PORTDOCS%%%%DOCSDIR%%/00changes.0
 %%PORTDOCS%%%%DOCSDIR%%/00changes.1
 %%PORTDOCS%%%%DOCSDIR%%/00changes.2
@@ -21,6 +31,8 @@ bin/smew
 %%PORTDOCS%%%%DOCSDIR%%/00changes.6.2
 %%PORTDOCS%%%%DOCSDIR%%/00changes.6.3
 %%PORTDOCS%%%%DOCSDIR%%/00changes.6.4
+%%PORTDOCS%%%%DOCSDIR%%/00changes.6.5
+%%PORTDOCS%%%%DOCSDIR%%/00changes.6.6
 %%PORTDOCS%%%%DOCSDIR%%/00copyright
 %%PORTDOCS%%%%DOCSDIR%%/00copyright.ja
 %%PORTDOCS%%%%DOCSDIR%%/00diff
@@ -193,5 +205,4 @@ bin/smew
 %%EMACS_SITE_LISPDIR%%/mew/mew.elc
 @dirrm %%EMACS_SITE_LISPDIR%%/mew/etc
 @dirrm %%EMACS_SITE_LISPDIR%%/mew
-@dirrmtry %%EMACS_SITE_LISPDIR%%
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"